from main_includes import *

# order may matter so do not reorder
from podapi_utils import *

from main_lcb import *
from main_display import *
from main_keypad import *
from main_networking import *
from main_modem import *

from main_pingtest import *
from main_diagnostics import *
from main_production import *
from main_demoflow import *
from main_updateversion import *

# **** MAIN SECTION ****

Log.info("MAIN2.0: Started ...")

# --- CRITICAL GLOBAL VARIABLES DECLARATION SECTION BELOW ---

display_clearall()
display_update(line={1: "Enter OTP"})

Log.info("MAIN2.0: loop starting ...")

while True:
    Log.info("MAIN: inside loop getting otp entry ...")
    Log.info("MAIN: 1111 - Production, 2222 - Diagnostics")
    Log.info("3333 - WiFi PingTest, 4444 - Modem PingTest")
    Log.info("MAIN: 7777 - Config SIM, 8888 - Demoflow, 9999 - Dump Config Info")
    Log.info("MAIN: 0000-Exit")
    final_otp = keypad_getotp(4, KEY_PRESS_WAIT_SECS)
    Log.info("MAIN: final_otp[" + str(final_otp) + "]")

    # *** later we can add "" entry also by default trigger production
#    if ((final_otp == "1111") or (final_otp =="")):
    if final_otp == "1111":
        Log.info("MAIN: production mode requested")
        main_production()
    elif final_otp == "2222":
        Log.info("MAIN: diagnostics mode requested")
        main_diagnostics()
    elif final_otp == "3333":
        Log.info("MAIN: pingtest wifi mode requested")
        pingtest_main("WiFi")
    elif final_otp == "4444":
        Log.info("MAIN: pingtest modem mode requested")
        pingtest_main("Modem")
    elif final_otp == "5555":
        Log.info("MAIN: modem diagnostics mode requested")
        modem_diagnostics()
    elif final_otp == "5555":
        Log.info("MAIN: update version mode requested")
        updateversion_main()        
    elif final_otp == "7777":
        Log.info("MAIN: sim configure mode requested")
        sim_configure()
    elif final_otp == "8888":
        Log.info("MAIN: demoflow mode requested")
        demoflow_main()
    elif final_otp == "9999":
        Log.info("MAIN: display diag screen for a few secs ...")
        display_diagscreen()
        time.sleep(USER_DISPLAY_VIEW_WAIT)
    elif final_otp == "0000":
        Log.info("MAIN: exit mode requested")
        break
    else:
        Log.info("MAIN: final_otp[" + str(final_otp) + "] - no valid menu option so looping again ...")

    continue
Log.info("MAIN2.0: loop stopped ...")

Log.info("MAIN2.0: exiting ...")
exit(0)
