import os
from os import path
import mraa
import sys
import commands
import time
import Queue
import socket
import logging

sys.path.append("/root/pod-sd/qikpod-python-deps/")

import api
import requests

from logutils import *

# Global CONSTS

INTER_PING_SECS = 20.0
SIM_CONFIG_WAIT = 50.0

KEY_PRESS_WAIT_SECS = 5.0
DEVICE_RESET_WAIT = 2.0

USER_DISPLAY_VIEW_WAIT = 3.0

SLEEP_SHORTDELAY = 0.25
SLEEP_LONGDELAY = 3.5

from util import command_utils
from util.config import get_config_value
from constants.common import CommonInfo
from modules.modem import ModemPlugin
from tools import rtc, reboot
from modules.lcb import LCBModbus
from modules.lcd import LcdHardware
from modules.keypad import KeyPad

