import sys
sys.path.append("/root/qikpod-python-deps/")
import requests


base_url = "http://192.168.1.55:8883/"


def call_api(api_type, api_url, params={}, data={}, json=None):
    global base_url
    url = base_url + api_url
    if api_type == "get":
        api_response = requests.get(url, params=params)
    elif api_type == "put":
        api_response = requests.put(url, data, json)
    if api_response.status_code == 200:
        print("API connection was successfull")
        print(api_response.json())
        return api_response.json()
    elif api_response.status_code == 404:
        print("The connection was not established")
        return -1
    elif api_response.status_code == 422:
        print("Parameters are missing")


params_podinfo = {'pod_id': '2A0587'}
response_dict = call_api("get", "pod_get_details/", params=params_podinfo)
print(response_dict)
