#!/bin/sh

BASEDIR=$(dirname $0)

tarName="$BASEDIR"/"$(uci get system.@system[0].hostname)"_"$(date +%F_%T).tar.gz"

rm -rf /tmp/system_stats > /dev/null 2>&1
mkdir -p /tmp/system_stats

top -n 1 > /tmp/system_stats/top.log
logread > /tmp/system_stats/logread.log
ps > /tmp/system_stats/ps.log
uptime > /tmp/system_stats/uptime.log

tar -zchf "$tarName" /logs $(pwd)/logs $(pwd)/db /tmp/system_stats

echo $tarName