#!/bin/sh

TOTAL=$(cat /proc/meminfo | grep -w MemTotal | tr -d ' ' | tr -d 'kB' | cut -d ':' -f 2)
FREE=$(cat /proc/meminfo | grep -w MemFree | tr -d ' ' | tr -d 'kB' | cut -d ':' -f 2)
BUFFER=$(cat /proc/meminfo | grep -w Buffers | tr -d ' ' | tr -d 'kB' | cut -d ':' -f 2)
CACHE=$(cat /proc/meminfo | grep -w Cached | tr -d ' ' | tr -d 'kB' | cut -d ':' -f 2)

USED=`awk 'BEGIN{printf "%0.2f\n", ('$TOTAL' - '$FREE' - '$BUFFER' - '$CACHE') / '$TOTAL' * 100}'`
echo $USED
