#!/usr/bin/python

import logging
import socket
import os
import sys
import time
import urllib
abs_path = os.getcwd()
LOGGER = logging.getLogger(__name__)

socket.setdefaulttimeout(10)

hdlr = logging.FileHandler(abs_path+'/logs/monit.log')
formatter = logging.Formatter('%(asctime)s %(levelname)s %(message)s')
hdlr.setFormatter(formatter)
LOGGER.addHandler(hdlr)
LOGGER.setLevel(logging.DEBUG)


def reboot():
    LOGGER.info("Performing scheduled reboot now...")
    os.system("timeout -k 10 60 reboot")
    counter = 0
    stop_flag = False
    while not stop_flag:
        if counter > SWITCH_OFF_TIMEOUT:
            LOGGER.info("Waited too long for reboot to happen, force reboot now")
            stop_flag = True
            os.system("reboot -f")
        time.sleep(5)
        counter += 5
    sys.exit(0)


