#!/bin/sh

source $(pwd)/util/config.sh

if [ "$wireless_sta_mode_disabled" = "0" ]; then 
    log "Enabling STA Mode"
    uci set wireless.sta.disabled='0'
    uci set wireless.sta.ssid="$wireless_sta_ssid"
    uci set wireless.sta.key="$wireless_sta_key"
    uci set wireless.sta.encryption="$wireless_sta_encryption"
    uci commit
    wifi_mode sta
else
    log "Disabling STA Mode"
    uci set wireless.sta.disabled='1'
    wifi_mode ap
fi

